Class | Pool
In: | lib/facets/more/pool.rb
Parent: | Array

# Pool

Generalized object pool implementation. Implemented as a thread safe stack. Exclusive locking is needed both for push and pop.

### Methods

new obtain pop push

### Included Modules

MonitorMixin

### Public Class methods

new()

### Public Instance methods

obtain() {|obj| ...}

Obtains an object, passes it to a block for processing and restores it to the pool.

pop()

Obtain an object from the pool.

push(obj)

Add, restore an object to the pool.

[Validate]